# Проверка поддержки метода

{% hint style="info" %}
Клиентский метод
{% endhint %}

Проверяет поддерживается ли проверяемый метод текущей версией Aitu Bridge

### Параметры <a href="#parameters" id="parameters"></a>

| Параметр           | Комментарий                                         |
| ------------------ | --------------------------------------------------- |
| methodName: string | Название метода в виде строки, например `"getGeo"`. |

### Результат <a href="#result" id="result"></a>

| Результат                                       |
| ----------------------------------------------- |
| Значения типа boolean (**true** или **false**). |

### Пример 1: <a href="#example-1" id="example-1"></a>

```typescript
const result: boolean = aituBridge.supports('openSettings');
```

### Пример **2**: <a href="#example-2" id="example-2"></a>

```javascript
// проверяем поддержку метода share
const canShare = aituBridge.supports('share');

function renderShareButton() {
  if (canShare) {
    return (
      <button onClick={handleShareClick}>
        Поделиться
      </button>
    )
  }
  return null;
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aitu.io/aituapps/aitu.apps/methods/supports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
